* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
}
body {
  padding: 0;
  margin: 0;
  touch-action: manipulation;
}
html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  font-family: "Open Sans", sans-serif;
}
div.container {
  position: relative;
  width: 100%;
  height: 100%;
}
#map {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  z-index: 1;
}
div.custom-controls {
  position: absolute;
  pointer-events: none;
  z-index: 2;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
div.custom-controls div.legend {
  pointer-events: auto;
  padding: 10px;
  background-color: #fff;
  border-radius: 4px;
  max-height: 90vh;
  max-width: 75vw;
}
div.custom-controls div.legend div.title {
  pointer-events: auto;
  width: fit-content;
}
div.custom-controls div.legend div.title img {
  max-width: 300px;
}
div.custom-controls div.legend div.title h1 {
  font-size: 24px;
  margin: 0;
}
div.custom-controls div.legend div.layers-title {
  pointer-events: auto;
  border-top: 0.5px #999 solid;
  color: #555;
  max-width: 300px;
  font-size: 11px;
  padding-top: 2px;
}
div.custom-controls div.legend div.layers-title span.title {
  margin-right: 3px;
  font-size: 14px;
  color: #333;
  text-decoration: underline;
}
div.custom-controls div.legend div.layers-title span.button {
  cursor: pointer;
  margin: 0;
  font-weight: bold;
  background-color: #eee;
  padding: 1px 3px;
  border-radius: 4px;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
}
div.custom-controls div.legend div.layers-title span.button:hover {
  background-color: #fff;
}
div.custom-controls div.legend div.layers {
  font-size: 14px;
}
div.custom-controls div.legend div.layers {
  pointer-events: auto;
}
div.custom-controls div.legend div.layers div.layer {
  margin: 2px 2px;
}
div.custom-controls div.legend div.layers div.layer div.color-swatch {
  width: 10px;
  height: 10px;
  border: 0.5px #444 solid;
  margin-right: 2px;
  opacity: 0.5;
}
div.custom-controls div.legend div.layers div.layer div.layer-name,
div.custom-controls div.legend div.layers div.layer div.metadata-button,
div.custom-controls div.legend div.layers div.layer div.color-swatch {
  display: inline-block;
  cursor: pointer;
}
div.custom-controls div.legend div.layers div.layer div.layer-metadata {
  font-size: 12px;
  color: #444;
  border-bottom: 0.5px #444 solid;
  display: none;
}
div.custom-controls div.legend div.layers div.layer div.layer-metadata p {
  margin: 0;
}
div.custom-controls div.legend div.layers div.layer div.layer-metadata.visible {
  display: block;
}
div.custom-controls div.legend div.layers div.layer div.metadata-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 15px;
  height: 15px;
  font-size: 12px;
  color: #777;
  margin-left: 3px;
  border: 0.25px #777 solid;
  border-radius: 50%;
}
div.custom-controls div.legend div.layers div.layer div.metadata-button:hover {
  color: #000;
  background-color: #ddd;
}
div.custom-controls div.legend div.layers div.layer div.metadata-button.visible {
  color: #333;
  background-color: #eee;
}
div.custom-controls div.legend div.layers div.layer div.checkbox {
  display: inline-block;
  height: 20px;
  vertical-align: middle;
}
div.custom-controls div.legend div.layers div.layer div.checkbox input {
  accent-color: #ddd;
}
div.custom-controls div.legend div.layers div.layer div.opacity-slider {
  display: none;
  width: 75px;
  /* Firefox */
  /* Chrome, Safari, Edge, Opera */
  /* Firefox */
}
div.custom-controls div.legend div.layers div.layer div.opacity-slider input[type="range"] {
  width: 100%;
  -webkit-appearance: none;
  /* Chrome, Safari, newer Edge */
  appearance: none;
  cursor: pointer;
}
div.custom-controls div.legend div.layers div.layer div.opacity-slider input[type="range"]::-webkit-slider-runnable-track {
  width: 100%;
  background: #ddd;
  border-radius: 4px;
  height: 8px;
}
div.custom-controls div.legend div.layers div.layer div.opacity-slider input[type="range"]::-moz-range-track {
  width: 100%;
  background: #ddd;
  height: 8px;
  border-radius: 4px;
}
div.custom-controls div.legend div.layers div.layer div.opacity-slider input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  /* Required for Chrome */
  appearance: none;
  margin-top: -3.5px;
  /* Centers thumb on the track */
  background-color: #777;
  height: 15px;
  width: 15px;
}
div.custom-controls div.legend div.layers div.layer div.opacity-slider input[type="range"]::-moz-range-thumb {
  border: none;
  /* Removes default border in Firefox */
  background-color: #777;
  height: 12px;
  width: 12px;
  border-radius: 50%;
}
div.custom-controls div.legend div.layers div.layer.hidden {
  opacity: 0.25;
}
div.custom-controls div.legend div.layers div.layer.hovered div.layer-name {
  font-weight: bold;
}
div.custom-controls div.legend div.layers div.layer.hovered div.color-swatch {
  opacity: 0.75;
}
div.custom-controls div.legend div.layers div.layer.imagery-visible div.opacity-slider {
  display: inline-block;
}
div.custom-controls div.control {
  position: absolute;
  pointer-events: none;
}
div.custom-controls div.control div.basemap-container {
  margin-bottom: 5px;
  clear: both;
  pointer-events: auto;
  display: flex;
}
div.custom-controls div.control div.basemap-container div.layers-title {
  border-top: none;
}
div.custom-controls div.control div.basemap-container div.layers-title span {
  position: relative;
  top: 2px;
}
div.custom-controls div.control div.basemap-container button {
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
  border: none;
  justify-content: center;
  align-items: center;
  padding: 0 6px;
  cursor: pointer;
  height: 25px;
  background-color: #ddd;
  border-radius: 4px;
  color: #555;
}
div.custom-controls div.control div.basemap-container button:hover {
  background-color: #eee;
}
div.custom-controls div.control div.basemap-container button.active {
  font-weight: bold;
  background: #fff;
  color: #000;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
div.custom-controls div.control-top-left {
  left: 0;
  top: 0;
}
div.custom-controls div.control-top-left div.control-inner {
  float: left;
  margin: 10px 0 0 10px;
}
div.custom-controls div.control-bottom-left {
  left: 0;
  bottom: 0;
}
div.custom-controls div.control-bottom-left div.control-inner {
  float: left;
  margin: 0 0 10px 10px;
}
